*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    overflow:hidden;
    background:#87CEEB;
    font-family:Arial,Helvetica,sans-serif;
}

canvas{
    display:block;
}

#hud{
    position:absolute;
    top:20px;
    left:20px;

    color:white;
    z-index:10;

    font-size:22px;

    background:rgba(0,0,0,.35);

    padding:15px;

    border-radius:10px;

    backdrop-filter:blur(8px);
}

.question{
    margin-top:15px;
    font-size:26px;
    font-weight:bold;
}

#gameOver{
    display:none;

    position:absolute;

    top:50%;
    left:50%;

    transform:translate(-50%,-50%);

    background:rgba(0,0,0,0.85);

    color:white;

    padding:40px;

    border-radius:20px;

    text-align:center;

    z-index:20;

    min-width:300px;

    backdrop-filter:blur(10px);
}


#gameOver h1{

    font-size:45px;

    margin-bottom:20px;

}


#gameOver p{

    font-size:22px;

    margin-bottom:25px;

}


#gameOver button{

    background:#00c853;

    color:white;

    border:none;

    padding:14px 35px;

    border-radius:12px;

    font-size:20px;

    font-weight:bold;

    cursor:pointer;

    transition:.2s;

}


#gameOver button:hover{

    transform:scale(1.08);

    background:#00e676;

}


#gameOver button:active{

    transform:scale(.95);

}